﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using Telerik.Web.UI;

/// <summary>
/// Summary description for WebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[System.Web.Script.Services.ScriptService]
public class WebService : System.Web.Services.WebService {

    public WebService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public IEnumerable GetNodes(RadTreeNodeData node, IDictionary context)
    {
        int numberOfNodes = 1000;
        List<NodeData> nodes = new List<NodeData>();
        for (int i = 0; i < numberOfNodes; i++)
        {
            NodeData nodeData = new NodeData();
            nodeData.Text = "Node " + i;
            nodes.Add(nodeData);
        }

        return nodes;
    }

    class NodeData
    {
        private string text;

        public string Text
        {
            get { return text; }
            set { text = value; }
        }
    }
    
}
